Subject: HFL -audits
From: Deeksha Dadu <[email-masked]>
To: Cheryl Barde <[email-masked]>, Joeffrey Garrera <[email-masked]>, Richard Plateros <[email-masked]>, Buffer Buffer <[email-masked]>, Jade Cuizon <[email-masked]>, nikkie <[email-masked]>
Cc: Rajiv Prabhakar <[email-masked]>, akhil <[email-masked]>, admin <[email-masked]>
Date: Tue, 1 Jul 2014 19:26:59 +0530 (IST)

Hi all,

Please find attached the audits for HFL. 

I am extremely disappointed and upset to see that barring 1-2 agents, none of you are bothering to actually read, understand and implement the feedback. Most of you still continue to make same mistakes, give irrelevant responses and do not bother to give specific information even though you have them available in your training documents. 

I need ALL of you to carefully go through your training documents once again, especially the product specific information. You may not be bale to memorize everything but you need to know what information can be found here. Most of you depend on general information that does not address customer's concern. 

I NEED ALL OF YOU TO GO THROUGH EACH AND EVRY FEEDBACK THAT I HAVE GIVEN. This time I do not want a general, useless 'we have understood the feedback' email from any of you. I need an EXPLANATION for what you did and what you are doing to rectify it.

Regards,
Deeksha